/*
/// Card
*/

.card {
  position: relative;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 100%;
  -ms-grid-rows: auto 1fr auto;
  grid-template-columns: 100%;
  grid-template-rows: auto 1fr auto;
  overflow: hidden;
  justify-content: center;
  padding: var(--baseline);
  min-height: 5em;
  font-weight: bold;
  background: var(--background-color-gray);
}

.card-inline {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: var(--baseline);
  padding: 0 var(--baseline);
  text-decoration: none;
  color: var(--text-color);
}

.card-inline > * {
  padding: var(--baseline) 0;
  width: 100%;
}

.card-inline > *:first-child {
  flex: 1;
  margin: 0;
  max-width: 75%;
}

@media screen and (min-width: 37.5em) {
  .card-inline {
    justify-content: space-between;
    text-align: left;
  }
  .card-inline > * {
    width: auto;
  }
}

.card-inline:hover {
  background: var(--background-color-gray-dark);
}

.card-inline:active {
  background: var(--background-color-gray-verydark);
}

.card-animate:focus-within,
.card-animate:hover {
  transform: scale(1.03);
  opacity: 1;
}

.card-animate {
  transition: 0.3s opacity, 0.3s transform;
  pointer-events: auto;
}

.card-border {
  border: 1px solid var(--color-gray);
}

.card-shadow {
  box-shadow: var(--enable-shadows, 0 0 1px rgba(0, 0, 0, 0.11), 0 0 2px rgba(0, 0, 0, 0.11), 0 4px 4px rgba(0, 0, 0, 0.11));
}

.card h2,
.card h3,
.card h4 {
  line-height: 1.25;
  color: var(--color-gray-700);
}

.card > figure {
  overflow: hidden;
  border: 1px solid rgba(0, 0, 0, 0.11);
  border-radius: 4px 4px 0 0;
}

.card > img {
  width: 100%;
  max-height: 7em;
  object-fit: cover;
}

.card img.full {
  margin: -2em calc(var(--baseline) * -1) calc(var(--baseline));
  width: calc(100% + calc(var(--baseline) * 2));
  max-width: calc(100% + calc(var(--baseline) * 2));
  max-height: 100em;
  object-fit: cover;
}

.card .meta-content {
  display: flex;
  flex: 1;
  flex-direction: column;
  justify-content: space-between;
}

.card p {
  color: var(--color-gray-700);
}

.card a:hover {
  text-decoration: inherit;
}
